//
// C++ Interface: konstdef
//
// Description: 
//
//
// Author: Andreas Lindenau <DL4JAL@darc.de>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KONSTDEF_H
#define KONSTDEF_H

#include <QString>

const char schnittstelle1[]="/dev/ttyS0";
const char schnittstelle2[]="/dev/ttyS1";
const char schnittstelle3[]="/dev/ttyS2";
const char schnittstelle4[]="/dev/ttyS3";
const char schnittstelle5[]="/dev/ttyUSB0";
const char schnittstelle6[]="/dev/ttyUSB1";
const char schnittstelle7[]="/dev/ttyUSB2";
const char schnittstelle8[]="/dev/ttyUSB3";

const int staranz = 3;


typedef struct {
  QString dspcodefilename[staranz];
  QString filterfilename[staranz];
  QString starpfad[staranz];
  QString parameterfilename[staranz];
  QString xparameterfilename[staranz];
  QString rxeqfilename[staranz];
  QString txeqfilename[staranz];
  QString ad603filename[staranz];
  QString standardparameterfilename[staranz];
  QString scalfilename[staranz];
  QString testfilename[staranz];
  QString srs232;
  int     picrs232writetime;
  int     dsprs232writetime;
  int     paramrs232writetime;
}TEinstellungen;

typedef struct {
  unsigned int adc;
  unsigned int dac;
  unsigned int devbyte1;
  unsigned int devbyte2;
  unsigned int devbyte3;
  unsigned int devbyte4;
  unsigned int devbyte5;
  unsigned int devbyte6;
  unsigned int sigdb;
  bool spk;
  int preADCgain;
  int gn;
  bool TXon;
  bool hang;
  int sled;
  int hff;
  int gain;
  int adcdb;
  int agcdb;
  int micegain;
}TDspDaten;

#endif
