/***************************************************************************
 *   Copyright (C) 2009 by Andreas Lindenau   *
 *   DL4JAL@darc.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <QApplication>

#include <QLocale>
#include <QTranslator>
#include <QString>
#include <QtGui>
#include <QDir>



#include "starcat.h"

int main(int argc, char *argv[])
{
//  Q_INIT_RESOURCE(application);
  int indexqm = 0;
  QString s;

  QApplication app(argc, argv);

  QTranslator appTranslator;

  QDir dir(argv[0]);
  QString programpath(dir.absolutePath());
  //qDebug(programpath);

  s = argv[1];
  if(s.contains(".qm"))indexqm = 1;
  //if(s.contains(".hfc"))indexhfc = 1;
  s = argv[2];
  if(s.contains(".qm"))indexqm = 2;
  //if(s.contains(".hfc"))indexhfc = 2;
  if(indexqm != 0){
    qDebug("QM Laden");
    s = argv[indexqm];
    //qDebug(s);
    if(appTranslator.load(s))qDebug("OK");
    app.installTranslator(&appTranslator);
  }
  starcat * mw = new starcat();
  mw->setWindowIcon(QIcon(":starcat.ico"));
  mw->show();
  return app.exec();
}

