#ifndef OPTIONDLG_H
#define OPTIONDLG_H

#include "konstdef.h"

#include <QDialog>
#include <QWidget>
#include <QTabWidget>
#include <QLineEdit>
#include <QComboBox>
#include <QGroupBox>
#include <QPushButton>
#include <QLabel>
#include <QString>
#include <QSpinBox>

class odlg : public QDialog{
    Q_OBJECT
public:
  odlg();

  void setdaten(TEinstellungen aeinst);
  TEinstellungen getdaten();

public slots:

private slots:
  void clickbstarpfad();
  void clickbdspcodefilename();
  void clickbfilterfilename();
  void clickbad603filename();
  void clickbparameterfilename();
  void clickbxparameterfilename();
  void clickbstandardparameterfilename();
  void clickbrxeqfilename();
  void clickbtxeqfilename();
  void clickbscalfilename();
  void clickbtestfilename();
  
private:
  void tip(bool);

  TEinstellungen oeinst;
  
  QTabWidget *tabwidget;
  QWidget *wallgemein;
  QWidget *wstar[3];
  
  QPushButton *ok;
  QPushButton *cancel;
  
  QGroupBox *grs232;
  QLabel *lrs232;
  QComboBox *crs232;
  QSpinBox *sppicrs232wtime;
  QLabel *lpicrs232wtime;
  QSpinBox *spdsprs232wtime;
  QLabel *ldsprs232wtime;
  QSpinBox *spparamrs232wtime;
  QLabel *lparamrs232wtime;

  
  QLineEdit *estarpfad[3];
  QLabel *lstarpfad[3];
  QPushButton *bstarpfad[3];
  
  QLineEdit *edspcodefilename[3];
  QLabel *ldspcodefilename[3];
  QPushButton *bdspcodefilename[3];
  
  QLineEdit *efilterfilename[3];
  QLabel *lfilterfilename[3];
  QPushButton *bfilterfilename[3];
  
  QLineEdit *ead603filename[3];
  QLabel *lad603filename[3];
  QPushButton *bad603filename[3];
  
  QLineEdit *eparameterfilename[3];
  QLabel *lparameterfilename[3];
  QPushButton *bparameterfilename[3];

  QLineEdit *exparameterfilename[3];
  QLabel *lxparameterfilename[3];
  QPushButton *bxparameterfilename[3];

  QLineEdit *estandardparameterfilename[3];
  QLabel *lstandardparameterfilename[3];
  QPushButton *bstandardparameterfilename[3];
  
  QLineEdit *erxeqfilename[3];
  QLabel *lrxeqfilename[3];
  QPushButton *brxeqfilename[3];
  
  QLineEdit *etxeqfilename[3];
  QLabel *ltxeqfilename[3];
  QPushButton *btxeqfilename[3];
  
  QLineEdit *escalfilename[3];
  QLabel *lscalfilename[3];
  QPushButton *bscalfilename[3];
  
  QLineEdit *etestfilename[3];
  QLabel *ltestfilename[3];
  QPushButton *btestfilename[3];
  /*
  QGroupBox *kalibrierfrequ;
  QLabel *labelanfang;
  QLabel *labelende;
  QLineEdit *eanfang;
  QLineEdit *eende;
  QGroupBox *ddstakt;
  QLabel *labelddstakt;
  QLineEdit *eddstakt;
  QGroupBox *gtty;
  QComboBox *ctty;
  QLabel *labelctty;
  QGroupBox *gkalibrier;
  QCheckBox *daempfungfa;
  QGroupBox *geinkanalig;
  QCheckBox *boxeinkanalig;
  QGroupBox *fname;
  QGroupBox *fgrenzen;
  QLineEdit *wobmax;
  QLabel *labelwobmax;
  QComboBox *cbfrqfaktor;
  QLabel *labelfrqfaktor;
  QLabel *labelsonde1;
  QLabel *labelsonde2;
  QLineEdit *econfig;
  QLineEdit *esonde1;
  QLineEdit *esonde2;
  QLabel *labelesonde1lin;
  QLineEdit *esonde1lin;
  QLabel *labelcpll;
  QComboBox *cpll;
  QGroupBox *gswriteration;
  QCheckBox *boxiteration;
//SA
  QGroupBox *gallgemein;
  QCheckBox *boxsastatus;
  QCheckBox *boxschrittkorr;
  
  QGroupBox *gsakw;
  QLineEdit *efrqa1;
  QLabel *labelfrqa1;
  QLineEdit *efrqb1;
  QLabel *labelfrqb1;
  QLineEdit *efrqzf1;
  QLabel *labelfrqzf1;
  QLineEdit *efrqshift;
  QLabel *labelfrqshift;
  
  QGroupBox *gsaukw;
  QLineEdit *efrqa2;
  QLabel *labelfrqa2;
  QLineEdit *efrqb2;
  QLabel *labelfrqb2;
  QLineEdit *efrqzf2;
  QLabel *labelfrqzf2;
  
  QGroupBox *gpegelkorr;
  QLineEdit *eabsolut1;
  QLabel *labelabsolut1;
  QLineEdit *eabsolut2;
  QLabel *labelabsolut2;
  QLineEdit *eabsolut3;
  QLabel *labelabsolut3;
  QLineEdit *eb300;
  QLabel *labelb300;
  QLineEdit *eb7k;
  QLabel *labelb7k;
  QLineEdit *eb30k;
  QLabel *labelb30k;
  
  QGroupBox *groupsavfehler;
  QLineEdit *esafehlermax;
  QLabel *labelsafehlermax;
  QLineEdit *esafehlermin;
  QLabel *labelsafehlermin;
  QLineEdit *esaminschritte;
  QLabel *labelsaminschritte;
  
  QGroupBox *groupsavgrenzen;
  QLabel *labelgsabmin;
  QLabel *labelgsabmax;
  QLineEdit *egsab300max;
  QLineEdit *egsab300min;
  QLabel *labelgsab300;
  QLineEdit *egsab7kmax;
  QLineEdit *egsab7kmin;
  QLabel *labelgsab7k;
  QLineEdit *egsab30kmax;
  QLineEdit *egsab30kmin;
  QLabel *labelgsab30k;
  
  QGroupBox *groupsavinfo;
  QCheckBox *savdbm;
  QCheckBox *savuv;
  QCheckBox *savwatt;
  QCheckBox *savdbuv;
  
  QGroupBox *groupsawarnung;
  QCheckBox *boxwarnsavbw;     //Warnung EIN/AUS bei SAV keine auto. Schrittkorr
  QCheckBox *boxwarnsavbwmax;  //Warnung EIN/AUS bei SAV keine auto. Schrittkorr
  
  QPushButton *sastandart;
  QPushButton *buttonsacal;
  QPushButton *buttonsacalreset;
  
  //Allgemein
  
  QGroupBox *grouppen;
  QPushButton *buttoncolor1;
  QPushButton *buttoncolor2;
  QPushButton *buttoncolorh;
  QSpinBox *spwidth;
  QLabel *labelspwidth;
  
  QGroupBox *groupfocus;
  QCheckBox *fwobbeln;
  QCheckBox *feinmal;
  QCheckBox *fstop;
  
  QGroupBox *groupspinpfsize;
  QSpinBox *spinpfsize;
  QLabel *labelspinpfsize;

  QGroupBox *groupnwtruhe;
  QCheckBox *chset0hz;
*/
};

#endif // OPTIONDLG_H
