#ifndef DSPMONITOR_H
#define DSPMONITOR_H

#include <QWidget>
#include "konstdef.h"

namespace Ui {
    class DspMonitor;
}

class DspMonitor : public QWidget
{
    Q_OBJECT

public:
    explicit DspMonitor(QWidget *parent = 0);
    ~DspMonitor();

private:
    Ui::DspMonitor *ui;
    int dspdat2db(unsigned int);

    int adcmin;
    int adcmax;
    int dacmin;
    int dacmax;
    int devbyte1min;
    int devbyte1max;
    int devbyte2min;
    int devbyte2max;
    int devbyte3min;
    int devbyte3max;
    int devbyte4min;
    int devbyte4max;
    int devbyte5min;
    int devbyte5max;
    int devbyte6min;
    int devbyte6max;

    bool TXon;

public slots:
    void getdspdaten(const TDspDaten &);


private slots:

private slots:
    void on_Buttonreset_clicked();
};

#endif // DSPMONITOR_H
